<?php 
global $base_url; 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html>
<head>
    <title>Disknode - <?= $title ?></title>
    <style type="text/css">
    <?php readfile(dirname(__FILE__).DIRECTORY_SEPARATOR.'disknode.style.css'); ?>
    </style>
    <base href="<?= $base_url ?>/" />
</head>
<body>
<h1><?= $title ?></h1>
<h2><?= $file->filename ?></h2>

<?= theme_status_messages() ?>

<dl>
<dt>File path</dt>
<dd><input readonly="readonly" value="<?= $file->filepath ?>" style="width: 90%;" /></dd>

<dt>Last modified</dt>
<dd><?= date("r", $file->filetime) ?></dd>

<dt>File size</dt>
<dd title="<?= $file->size ?> bytes"><?= format_size($file->size) ?></dd>

<dt>Mime type</dt>
<dd><code><?= $file->mimetype ?></code></dd>
</dl>

<?php if (count($file->nodes) > 0) { ?>
<h3>Associated nodes</h3>
<ul>
<?php
foreach ($file->nodes as $node)
{
  echo "<li><a href=\"".$node->link."\" target=\"_blank\"/>".$node->title."</a></li>\n";
}
?>
</ul>
<br />
<?php } ?>

<div class="tabcontrol">
<script type="text/javascript">
var currentTab;
var currentTabPage;
function openTab(tabname)
{
  if (currentTabPage)
  {
    currentTabPage.style.display = 'none';
  }
  if (currentTab)
  {
    currentTab.className = '';
  }
  currentTab = document.getElementById('tab_'+tabname);
  currentTabPage = document.getElementById('tabpage_'+tabname);
  if (currentTabPage)
  {
    currentTabPage.style.display = 'block';
  }
  if (currentTab)
  {
    currentTab.className = 'active';
  }
}
</script>
<ul class="tabcontrol">
    <li id="tab_move" onclick="openTab('move');">Move</li>
    <li id="tab_copy" onclick="openTab('copy');">Copy</li>
    <li id="tab_delete" onclick="openTab('delete');">Delete</li>
</ul>

<div class="tab" id="tabpage_move">
<form method="post" action="">
<input type="hidden" name="op" value="move" />
<label for="newname">New name\location</label><br />
<input type="text" name="newname" id="newname" value="<?= isset($_POST["newname"])?$_POST["newname"]:$file->filepath ?>" style="width: 95%;" /><br />
<input type="checkbox" name="updatenodes" id="updatenodes" value="1" checked="checked" /><label for="updatenodes">Update associated nodes</label><br />
<button type="submit">move</button>
</form>
</div>

<div class="tab" id="tabpage_copy">
<form method="post" action="">
<input type="hidden" name="op" value="copy" />
<label for="newname">New file</label><br />
<input type="text" name="newname" id="newname" value="<?= isset($_POST["newname"])?$_POST["newname"]:"" ?>" style="width: 95%;" /><br />
<button type="submit">copy</button>
</form>
</div>

<div class="tab" id="tabpage_delete">
<form method="post" action="">
<input type="hidden" name="op" value="delete" />
<input type="checkbox" name="cleannodes" id="cleannodes" value="1" checked="checked" /><label for="cleannodes">Remove this file from associated nodes</label><br />
<button type="submit">delete</button> <input type="checkbox" name="yesimsure" id="yesimsure" value="1" /><label for="yesimsure">I am sure</label><br />
</form>
</div>



<?php
if (isset($_POST["op"]))
{
  echo "<script type=\"text/javascript\">openTab('".$_POST["op"]."');</script>";
}
?>
</div>

<div id="controls">
<span title="Browse and select files"><?= l("Browse", "disknode/browse", null, "subdir=".dirname($file->filepath)) ?></span>
</div>
</body>
</html>